
Redmine - Patch #1528

Add Author to Atom Entry Content

2008-06-25 04:29 - Reavis Sutphin-Gray

Status: Closed Start date: 2008-06-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Feeds Estimated time: 0.00 hour

Target version:    

Description

This patch adds the name of the author to the content in Atom feed entries, since some feed readers don't display the author

information.

History

#1 - 2008-06-25 04:35 - Reavis Sutphin-Gray

- File atom_author_in_content.patch added

Improved author name formatting.

#2 - 2008-06-25 04:53 - Reavis Sutphin-Gray

- File atom_author_in_content.patch added

The last patch didn't work. This one uses the username for the author in all cases.

#3 - 2008-06-25 13:31 - Paul Rivier

Hello Reavis,

thank you for contributing to Redmine.

I think the Author information provided by feeds is so fundamental than any newsreader skipping it is broken. The lack of support probably comes

from the fact that a lot of software were design so support RSS1 feed format, which does not support per-entry author. I think those readers must be

fixed now.

Cheers,

#4 - 2008-06-26 21:07 - Jean-Philippe Lang

- Status changed from New to Closed

I agree with Paul and prefer not to duplicate this information in entry description.

Files

atom_author_in_content.patch 525 Bytes 2008-06-25 Reavis Sutphin-Gray

atom_author_in_content.patch 525 Bytes 2008-06-25 Reavis Sutphin-Gray

atom_author_in_content.patch 647 Bytes 2008-06-25 Reavis Sutphin-Gray
